Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::WindowGroup Class Reference

A GtkWindowGroup C++ wrapper class. More...

`#include <inti/gtk/window.h>`

Inheritance diagram for Inti::Gtk::WindowGroup:

List of all members.

## Public Member Functions

Constructors

- WindowGroup ()
    Constructs a new window group object.
- virtual ~WindowGroup ()
    Destructor.

Accessors

- GtkWindowGroup * gtk_window_group () const
    Get a pointer to the GtkWindowGroup structure.
- GtkWindowGroupClass * gtk_window_group_class () const
    Get a pointer to the GtkWindowGroupClass structure.
- operator GtkWindowGroup * () const
    Conversion operator; safely converts a WindowGroup to a GtkWindowGroup pointer.

Methods

- void add_window (Window &window)
    Adds a window to the window group.
- void remove_window (Window &window)
    Removes a window from the window group.

## Protected Member Functions

Constructors

- WindowGroup (GtkWindowGroup *group, bool reference=false)
    Construct a new WindowGroup from an existing GtkWindowGroup.

## Detailed Description

A GtkWindowGroup C++ wrapper class.

## Constructor & Destructor Documentation

Inti::Gtk::WindowGroup::WindowGroup | ( | GtkWindowGroup * | group,
|  | bool | reference = false
| ) | `[explicit, protected]`

  | Construct a new WindowGroup from an existing GtkWindowGroup. Parameters:
  group | A pointer to a GtkWindowGroup.
  reference | Set false if the initial reference count is floating, set true if it's not.
The group can be a newly created GtkWindowGroup or an existing GtkWindowGroup (see G::Object::Object).

Inti::Gtk::WindowGroup::WindowGroup | ( |  | ) |

| Constructs a new window group object. Grabs added with add() only affect windows within the same window group.

## Member Function Documentation

void Inti::Gtk::WindowGroup::add_window | ( | Window & | window | ) |

  | Adds a window to the window group. Parameters:
  window | The Window to add.

void Inti::Gtk::WindowGroup::remove_window | ( | Window & | window | ) |

  | Removes a window from the window group. Parameters:
  window | The Window to remove.

The documentation for this class was generated from the following file:

- gtk/window.h

Main Page - Footer